Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Target version: 2.1.0-2238-testing
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2228 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

An error is got when the Spatial join tool is going to start to process. It has happened with different layers. I attach the log file.

Associated revisions
Revision 544 - 06/23/2014 05:05 AM - Francisco Díaz Carsí

Arreglados errores en la interfaz del geoproceso.

refs #2385

Revision 545 - 06/23/2014 05:06 AM - Francisco Díaz Carsí

Parcheado error por el que intentaba insertar en un store de puntos una geometría multipunto.

refs #2385

History
#1 - 02/26/2014 03:04 PM - Mario Carrera
- File enlace-espacial.zip added
- Description updated

I attach 2 layers used in the example. 
- Origin layout: puntos
- Clip layout: Municv

#2 - 02/26/2014 03:06 PM - Álvaro Anguix
- Category set to Geoprocess
- Assignee set to Ignacio Brodín
- Priority changed from Normal to High
- Target version set to 2.1.0-2221-testing
#3 - 03/07/2014 09:03 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2221-testing to 2.1.0-2222-testing

#4 - 03/12/2014 11:14 AM - Ignacio Brodín
- Status changed from New to In progress

Me pongo con este. Va a costar tiempo porque el índice espacial necesario no existe, pero no hay alternativa si queremos que vuelva a funcionar el
geoproceso Spatial Join

#5 - 03/12/2014 04:21 PM - Ignacio Brodín
- Status changed from In progress to Fixed

He añadido el índice espacial. El geoproceso vuelve a funcionar. Faltaría comprobar que todos los resultados sean correctos en el siguiente build.

gvsig-desktop:r41239
gvsig-geoprocess:r490

#6 - 03/28/2014 01:25 PM - Álvaro Anguix
- File gvSIG.log added
- Status changed from Fixed to New
- Target version changed from 2.1.0-2222-testing to 2.1.0-2223-rc1
- gvSIG build changed from 2220 to 2222

En la 2222 sigue arrojando un error. Adjunto log.

#7 - 04/01/2014 02:07 PM - Álvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2259-rc3

#8 - 04/16/2014 05:01 PM - Ignacio Brodín
- Status changed from New to Fixed

Yo creo que funciona para la 2223. ¿Podrías probarlo tu Alvaro? Creo que el problema fue que en su momento no se compiló geoprocesos para la
2222 y por eso no entró.

#9 - 04/22/2014 05:12 PM - Álvaro Anguix
- gvSIG build changed from 2222 to 2225

Si como capa de entrada uso la de puntos y de revestimiento la de polígonos me crea una capa resultado vacía. 
Si uso como capa de entrada la de polígonos y revestimiento la de puntos sí me crea la capa con el enlace espacial.
Relacionado:
El nombre está en inglés con gvSIG en castellano (Spatial Join por Enlace Espacial)
Si quito la opción de "Usar el más cercano" en "Función resumen" me permite también poner como máx, min, average o sum los campos
alfanuméricos...y al seleccionarlos y ejecutar el geoproceso da error.
#10 - 04/23/2014 11:42 AM - Álvaro Anguix
- Status changed from Fixed to New
- Target version deleted (2.1.0-2259-rc3)

#11 - 04/25/2014 12:25 PM - Álvaro Anguix
- Priority changed from High to Normal

#12 - 04/29/2014 04:01 PM - Ignacio Brodín

gvsig-geoprocess:r535

#13 - 05/06/2014 04:21 PM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-geoprocess:r536

#14 - 05/07/2014 11:38 AM - Álvaro Anguix
- Target version set to 2.1.0-2259-rc3

#15 - 05/22/2014 03:04 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2228-testing

#16 - 06/04/2014 02:55 PM - Mario Carrera
- File gvSIG.log added
- Status changed from Fixed to New
- gvSIG build changed from 2225 to 2228

Sigue dando error en el 2228, con la capa de Municipios de Andalucía y la de Urb_andalucia. Adjunto el log.

Sigue saliendo "Spatial join" teniendo gvSIG en castellano, en lugar de "Enlace espacial".

#17 - 06/04/2014 10:00 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2228-testing to 2.1.0-2259-rc3

#18 - 06/20/2014 02:22 AM - Francisco Díaz Carsí

He localizado varios problemas:
- Hay algún error de interfaz de usuario:
- para coger los campos que tiene que utilizar, monta una cadena separada por ";" y al terminar quita el último ";", pero si la capa no tiene
campos numéricos intenta quitarle el último carácter a una cadena vacía revienta, claro.
- si vas cambiando de capa en el combo, se supone que se van actualizando las filas de la tabla de, pero, de nuevo, si la capa no tiene
campos numéricos, no borra los campos de la tabla que habías elegido anteriormente, así que cuando se va a hacer el geoproceso eligiendo
alguna de las columnas de la tabla, se queja de que ese campo no lo tiene la capa.

- Con unas capas ejemplo que me ha sugerido Mario, la de urbanizaciones de Andalucía y la de municipios de Andalucía, el problema es de la capa
de urbanizaciones que tiene un montón de filas en la tabla sin geometría. Quitando estas filas, el geoproceso funciona.

- Por otra parte, cuando la capa de entrada que selecionas es de puntos, las geometrías que gvSIG crea para la nueva capa son de multipunto en
lugar de punto, y acaba reventando porque dice que la geometría no está soportada.

#19 - 06/20/2014 02:35 AM - Francisco Díaz Carsí

¡Uf, el formateo del texto! Copio, pego y arreglo el comentario anterior para que se pueda leer bien.

He localizado varios problemas:

- Para coger los campos que tiene que utilizar, monta una cadena separada por ";" y al terminar quita el último ";", pero si la capa no tiene campos
numéricos intenta quitarle el último carácter a una cadena vacía revienta, claro.

- Si vas cambiando de capa en el combo, se supone que se van actualizando las filas de la tabla de selección de campos, pero, de nuevo, si la capa
no tiene campos numéricos, no borra los campos de la tabla que habías elegido anteriormente, así que cuando se va a hacer el geoproceso eligiendo
alguna de las columnas de la tabla, se queja de que ese campo no lo tiene la capa.

- Con unas capas ejemplo que me ha sugerido Mario, la de urbanizaciones de Andalucía y la de municipios de Andalucía, el problema es de la capa
de urbanizaciones que tiene un montón de filas en la tabla sin geometría. Quitando estas filas, el geoproceso funciona.

- Por otra parte, cuando la capa de entrada que seleccionas es de puntos, las geometrías que gvSIG crea para la nueva capa son de multipunto en
lugar de punto, y acaba reventando porque dice que la geometría no está soportada.

#20 - 06/20/2014 02:36 AM - Francisco Díaz Carsí
- Assignee changed from Ignacio Brodín to Francisco Díaz Carsí

#21 - 06/23/2014 06:00 AM - Francisco Díaz Carsí
- Status changed from New to In progress

#22 - 06/27/2014 06:10 AM - Álvaro Anguix
- Status changed from In progress to Fixed

#23 - 07/21/2014 10:30 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2238-testing

#24 - 07/22/2014 07:25 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_Spatial_join.log 419 KB 02/26/2014 Mario Carrera
enlace-espacial.zip 2.6 MB 02/26/2014 Mario Carrera
gvSIG.log 444 KB 03/28/2014 Álvaro Anguix
gvSIG.log 468 KB 06/04/2014 Mario Carrera
